メインコンテンツまでスキップ

List of Voided Purchases

This API provides the voided purchases associated with a specific application. It allows you to retrieve voided purchases with filters. This API does not require authentication.

Endpoint

MethodURL
GEThttps://api.catappult.io/productv2/8.20250505/google/inapp/v3/applications/{packageName}/purchases/voidedpurchases

Authentication

No authentication required.

Path Parameters

ParameterTypeRequiredDescription
packageNamestringRequiredPackage name of the application.

Query Parameters

ParameterTypeRequiredDescription
pageSelection.maxResultsintegerOptionalThe maximum number of voided purchases that appear in each response.
pageSelection.tokenstringOptionalA continuation token from a previous response, allowing you to view more results.
typeintegerOptionalType of voided purchases to receive. 0 — INAPP only (default). 1 — INAPP & SUBS.
startTimestringOptionalTime in milliseconds of the oldest voided purchase you want to receive.
endTimestringOptionalTime in milliseconds of the newest voided purchase you want to receive.

Response

StatusDescription
200Success. Returns the voided purchases list.

Success (200) Response Fields

NameTypeDescription
pageInfoObjectPagination info object.
pageInfo.resultPerPageIntegerNumber of results in the current page.
tokenPaginationObjectToken pagination object.
tokenPagination.nextPageTokenStringToken for the next page of results.
tokenPagination.previousPageTokenStringToken for the previous page of results.
voidedPurchasesArrayArray of voided purchase objects.
voidedPurchases[].kindStringType of voided purchase object.
voidedPurchases[].purchaseTokenStringPurchase token for the purchase.
voidedPurchases[].orderIdStringOrder ID for the purchase.
voidedPurchases[].purchaseTimeMillisLongTime in milliseconds when the purchase was made.
voidedPurchases[].voidedTimeMillisLongTime in milliseconds when the purchase was voided.
voidedPurchases[].voidedReasonIntReason for voiding the purchase.

Example Response

{
"pageInfo": {
"resultPerPage": 22
},
"tokenPagination": {
"nextPageToken": null,
"previousPageToken": null
},
"voidedPurchases": [
{
"kind": "androidpublisher#voidedPurchase",
"purchaseToken": "catappult.inapp.purchase.QQATJ76ESKXMTLKY",
"purchaseTimeMillis": 1721167420119,
"voidedTimeMillis": 1721340431555,
"orderId": "WJTG2ID4TQJSYOQK",
"voidedReason": 0
}
]
}

voidedReason

ValueDescription
0Purchase has been REFUNDED.
7Purchase has been CHARGEDBACK.